%global _empty_manifest_terminate_build 0
Name:		python-distlib
Version:	0.3.8
Release:	1
Summary:	A library of packaging functionality
License:	Python-2.0
URL:		https://github.com/pypa/distlib
# https://pypi.org/project/distlib/#files
Source0:	https://files.pythonhosted.org/packages/c4/91/e2df406fb4efacdf46871c25cde65d3c6ee5e173b7e5a4547a47bae91920/distlib-0.3.8.tar.gz
BuildArch:	noarch

%description
A library of packaging functionality which is intended to be used as the
basis for third-party packaging tools.

%package -n python3-distlib
Summary:	A library of packaging functionality
Provides:	python-distlib = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
BuildRequires:	python3-setuptools
%description -n python3-distlib
A library of packaging functionality which is intended to be used as the
basis for third-party packaging tools.

%package help
Summary:	Development documents and examples for distlib
Provides:	python3-distlib-doc
%description help
A library of packaging functionality which is intended to be used as the
basis for third-party packaging tools.

%prep
%autosetup -n distlib-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install distlib==%{version}
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-distlib -f filelist.lst
%dir %{python3_sitelib}/*
%{python3_sitelib}/distlib

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Jan 10 2024 zhangxianting <zhangxianting@uniontech.com> - 0.3.8-1
- Update package to version 0.3.8

* Thu Jul 27 2023 zhangchenglin <zhangchenglin@kylinos.cn> - 0.3.7-1
- Update package to version 0.3.7

* Thu Apr 27 2023 caodongxia <caodongxia@h-partners.com> - 0.3.6-2
- Adapting to the pyproject.toml compilation mode

* Fri Dec 02 2022 wangjunqi <wangjunqi@kylinos.cn> - 0.3.6-1
- Update package to version 0.3.6

* Thu Aug 04 2022 liqiuyu <liqiuyu@kylinos.cn> - 0.3.5-1
- update to 0.3.5

* Thu Dec 09 2021 shixuantong <shixuantong@huawei.com> - 0.3.4-1
- update version to 0.3.4

* Sat Nov 27 2021 shixuantong <shixuantong@huawei.com> - 0.3.1-2
- fix build fail for python3-3.10.0

* Fri Aug 7 2020 shixuantong <shixuantong@huawei.com> - 0.3.1-1
- update to 0.3.1

* Fri Jun 5 2020 chengzihan <chengzihan2@huawei.com> - 0.3.0-2
- Package init
